# Uses of Class
org.apache.sling.testing.clients.exceptions.TestingValidationException

Packages that use TestingValidationException
Package
Description
org.apache.sling.testing.clients
org.apache.sling.testing.clients.osgi
OSGI testing tools.
org.apache.sling.testing.clients.util

## Uses of TestingValidationException in org.apache.sling.testing.clients

Methods in org.apache.sling.testing.clients that throw TestingValidationException
Modifier and Type
Method
Description
`<T extends AbstractSlingClient>
T`
AbstractSlingClient.`adaptTo(Class<T> clientClass)`
Returns an instance of any class extending the AbstractSlingClient.
`void`
SlingHttpResponse.`checkContentContains(String... expected)`
Assert that all the provided `Strings` are contained in the response
`void`
SlingHttpResponse.`checkContentRegexp(String... regexp)`
For each regular expression, assert that at least one line of the response matches the expression
`void`
SlingHttpResponse.`checkContentType(String expected)`
Assert that response matches supplied content type (from Content-Type header)
`void`
SlingHttpResponse.`checkStatus(int expected)`
Assert that response matches supplied status
`void`
SlingClient.`waitUntilExists(String path, long waitMillis, int retryCount)`
Deprecated.
use `SlingClient.waitExists(String, long, long)` instead.

## Uses of TestingValidationException in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that throw TestingValidationException
Modifier and Type
Method
Description
`ComponentInfo`
ComponentsInfo.`forId(String id)`
`ServiceInfo`
ServicesInfo.`forId(String id)`
Return service info for a service with given id
`ComponentInfo`
ComponentsInfo.`forName(String name)`
`ComponentInfo`
ComponentsInfo.`forPid(String pid)`
`Collection<ServiceInfo>`
ServicesInfo.`forType(String type)`
Return service infos for a bundle with name `name`
`Map<String,Object>`
OsgiConsoleClient.`getConfigurationWithWait(long waitCount, String pid, int... expectedStatus)`
Deprecated.
use `OsgiConsoleClient.waitGetConfiguration(long, String, int...)`
`int`
ComponentsInfo.`getNumberOfInstalledComponents()`
`String`
BundlesInfo.`getStatusMessage()`
Constructors in org.apache.sling.testing.clients.osgi that throw TestingValidationException
Modifier
Constructor
Description
``
`BundleInfo(com.fasterxml.jackson.databind.JsonNode root)`
``
`BundlesInfo(com.fasterxml.jackson.databind.JsonNode root)`
The only constructor.
``
`ComponentInfo(com.fasterxml.jackson.databind.JsonNode root)`
``
`ServiceInfo(com.fasterxml.jackson.databind.JsonNode root)`
``
`ServicesInfo(com.fasterxml.jackson.databind.JsonNode root)`
The only constructor.

## Uses of TestingValidationException in org.apache.sling.testing.clients.util

Methods in org.apache.sling.testing.clients.util that throw TestingValidationException
Modifier and Type
Method
Description
`static String`
HttpUtils.`getLocationHeader(org.apache.http.HttpResponse response)`
Get the first 'Location' header and verify it's a valid URI.
`static void`
HttpUtils.`verifyHttpStatus(org.apache.http.HttpResponse response, String errorMessage, int... expectedStatus)`
Verify expected status and show error message in case expected status is not returned.
`static void`
HttpUtils.`verifyHttpStatus(SlingHttpResponse response, int... expectedStatus)`
Verify expected status and dump response in case expected status is not returned.